<?php
if ( !defined( 'SMARTY_DIR' ) ) {

	include_once( 'init.php' );

}

if ($_REQUEST['groupaction'] == get_lang('delete_selected') ) {

	$checked = $_POST['txtcheck'];

	if (count($checked) > 0) {
		foreach ($checked as $val) {

			$osDB->query('DELETE from ! where id = ?', array( USER_WATCHED_PROFILES, $val ) );
		}
		unset($checked);
		$t->assign('error_message', get_lang('errormsgs',REMOVEDFROMLIST) );
	}
}

if ($_GET['remove'] == '1') {
	/* Remove from the list */

	$osDB->query('DELETE from ! where id = ? ', array( USER_WATCHED_PROFILES, $_GET['id'] ) );

	$t->assign('error_message', get_lang('errormsgs',REMOVEDFROMLIST) );

}

$t->assign('lang',$lang);

if ($_GET['act'] == 'save' ) {

	/* first get the total number of saved profiles and see if the count exhaused */

	$cnt = $osDB->getOne('select count(*) from ! where userid = ?', array(USER_WATCHED_PROFILES, $_SESSION['UserId']) );

	if ($_GET['ref_id'] != '' && $cnt < $_SESSION['security']['saveprofilescnt']) {

		$alrdy = $osDB->getOne('select count(*) from ! where userid = ? and ref_userid = ?', array(USER_WATCHED_PROFILES, $_SESSION['UserId'],$_GET['ref_id'] ) );
		if ($alrdy <= 0) {

			$osDB->query('insert into ! (userid, ref_userid) values (?, ?)', array(USER_WATCHED_PROFILES, $_SESSION['UserId'], $_GET['ref_id']) );

			$errid=202;
		} else {
			$errid = 203;
		}

	} else {

		$errid=201;
	}

	header("location: ".$_GET['rtnurl']."?id=".$_GET['ref_id']."&errid=".$errid);
	exit;

}

/* Show the watched profiles list */

$t->assign('list', $osDB->getAll('select lis.ref_userid, usr.id as userid, lis.id as lisid, usr.username as ref_username from ! as lis, ! as usr where lis.userid = ? and lis.ref_userid = usr.id order by usr.username ', array( USER_WATCHED_PROFILES, USER_TABLE, $_SESSION['UserId'] ) ) );

$t->assign('rendered_page', $t->fetch('watchedprofiles.tpl') );

$t->display('index.tpl');


?>